> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/development-guide/python/python-sdk-init-config.md).

# SDK 초기화 설정

설정정보를 포함하여 SDK를 초기화 할 수 있습니다.

```python
from hackle import hackle
from hackle.config import HackleConfig

config = HackleConfig.builder() \
    .sdk_url(YOUR_SERVER_SDK_URL) \
    .event_url(YOUR_SERVER_EVENT_URL) \
    .monitoring_url(YOUR_SERVER_MONITORING_URL) \
    .build()

client = hackle.Client(sdk_key=YOUR_SERVER_SDK_KEY, config=config)
```

#### 모든 설정 옵션

<table><thead><tr><th>설정</th><th width="216.3984375">기능</th><th>기본값</th><th>지원 버전</th></tr></thead><tbody><tr><td>sdk_url</td><td>config url을 수정합니다.</td><td>hackle url</td><td>3.8.0 +</td></tr><tr><td>event_url</td><td>event url을 수정합니다.</td><td>hackle url</td><td>3.8.0 +</td></tr><tr><td>monitoring_url</td><td>matric url을 수정합니다.</td><td>hackle url</td><td>3.8.0 +</td></tr><tr><td>monitoring_enabled</td><td>matric 수집을 활성화 합니다.</td><td>True</td><td>3.9.0 +</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hackle.io/development-guide/python/python-sdk-init-config.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
